package com.xdf.creative.base.params.dt;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 企业上传 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-05-07
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "DtUploadCompanyQueryParam对象", description = "企业上传查询参数")
public class DtUploadCompanyQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "组织id")
    private Long orgParkId;

    @ApiModelProperty(value = "园区库id")
    private Long bizParkId;

    @ApiModelProperty(value = "企业名称")
    private String companyName;

    @ApiModelProperty(value = "园区名称")
    private String parkName;

    @ApiModelProperty(value = "企业统一社会信用代码")
    private String serialNumber;

    @ApiModelProperty(value = "企业法人名字")
    private String legalPersonName;

    @ApiModelProperty(value = "注册资本数字")
    private String regCapitalNo;

    @ApiModelProperty(value = "注册资本单位")
    private String unit;

    @ApiModelProperty(value = "注册资本")
    private String regCapital;

    @ApiModelProperty(value = "所属行业名称")
    private String cateName;

    @ApiModelProperty(value = "成立日期")
    private Date estiblishTime;

    @ApiModelProperty(value = "是否为个体户 0否 1是")
    private Integer companyType;

    @ApiModelProperty(value = "开始更新时间")
    private Date startUpdateTime;

    @ApiModelProperty(value = "结束更新时间")
    private Date endUpdateTime;

    @ApiModelProperty(value = "开始上传时间")
    private Date startCreateTime;

    @ApiModelProperty(value = "结束上传时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "更新状态 1、新增 （待处理）    2、更新（待处理） 3、删除（待处理） ")
    private Integer state;

    @ApiModelProperty(value = "处理状态1、待处理   2、已处理（成功） 3已处理（失败） 4 未找到")
    private Integer disposeState;


}
