package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.dt.DtEnterCompanyQueryParam;
import com.xdf.creative.base.vo.creative.DtEnterCompanyQueryVo;
import com.xdf.creative.module.entity.DtEnterCompany;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-05-11
 */
@Repository
public interface DtEnterCompanyMapper extends BaseMapper<DtEnterCompany> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    DtEnterCompanyQueryVo getDtEnterCompanyById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param dtEnterCompanyQueryParam
     * @return
     */
    IPage<DtEnterCompanyQueryVo> getDtEnterCompanyPageList(@Param("page") Page page, @Param("param") DtEnterCompanyQueryParam dtEnterCompanyQueryParam);


    IPage<DtEnterCompanyQueryVo> getDtEnterCompanyUserList(@Param("page") Page page, @Param("param") DtEnterCompanyQueryParam dtEnterCompanyQueryParam);

    IPage<DtEnterCompanyQueryVo> getDtEnterCompanyHomeList(@Param("page") Page page, @Param("param") DtEnterCompanyQueryParam dtEnterCompanyQueryParam);

}
